Skip to content
Status

Get a capture

GEThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/captures/{capture_id}

GET
/captures/{capture_id}

Retrieve details of a specific capture transaction.

You can expand the following fields:

  • account
  • created_session
  • parts
  • source_transaction
  • updated_session
capture_id
required
string
Pattern /^ca_[0-9]+_[0-9a-z]+$/

The capture’s ID (ca_...).

expand
string

Fields to expand into full objects

Capture details

Media typeapplication/json
object
capture
object

A capture transaction representing the settlement of a previously authorised payment

object
id
string

The ID of the capture

Pattern /^ca_[0-9]+_[0-9a-z]+$/
account
string

The account the capture was for

amount
string

The amount captured

balance
string

The capture amount less any refunds

created
string · date-time

When the capture was created

created_session
string

The session that created the capture

currency
string

The currency in ISO format

gateway_message
string

The status message returned by the gateway

gateway_reference
string

The gateway identifier for the capture

gateway_status
string

The category or error message received from the gateway

metadata
object

Custom key-value pairs stored on the capture

object
key
additional properties
any
offline
boolean

Whether this capture was recorded as an offline transaction

parts
Array<string>

Array of parts objects for which charge(s) the capture was applied to

payment
string

The original payment (AUTH) this capture relates to

processed
string · date-time

When the capture was processed by the gateway

reference
string

The customer-facing reference (format BOLT-*)

refunded
string

The amount of the capture that has been refunded

settle_currency
string

The currency the capture was settled in if different

settle_fee_amount
string

The amount of fees deducted for processing

settle_gross_amount
string

The amount paid in the settlement currency

settle_net_amount
string

The amount settled less fees

source_transaction
string

The original AUTH transaction that was captured

status
string · enum

The status of the capture

Allowed values: SUCCESS PENDING DECLINED INVALID_PAYMENT_METHOD UNRESOLVED UNATTRIBUTED
updated
string · date-time

When the capture was last updated

updated_session
string

The session that last updated the capture

v
integer

The version of the record

Bad request - invalid parameters

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Unauthorised: the API key is missing or not valid

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Example
{
"code": "UNAUTHORIZED",
"message": "Unauthorised"
}

Capture not found

Media typeapplication/json

Every error has a code and a message. Some add more fields alongside them, with detail about the error.

object
code
string

The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.

message
string

What went wrong, in words, for logs and support.

Was this page helpful?